osgViewer::DepthPartitionSettings Struct Reference

`#include <View>`

Inheritance diagram for osgViewer::DepthPartitionSettings:

## Public Types

enum | DepthMode { FIXED_RANGE , BOUNDING_VOLUME }

## Public Member Functions

| DepthPartitionSettings (DepthMode mode=BOUNDING_VOLUME)
virtual bool | getDepthRange (osg::View &view, unsigned int partition, double &zNear, double &zFar)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

DepthMode | _mode
double | _zNear
double | _zMid
double | _zFar

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Enumeration Documentation

## DepthMode

enum osgViewer::DepthPartitionSettings::DepthMode

Enumerator
FIXED_RANGE |
BOUNDING_VOLUME |

## Constructor & Destructor Documentation

## DepthPartitionSettings()

osgViewer::DepthPartitionSettings::DepthPartitionSettings | ( | DepthMode | mode = BOUNDING_VOLUME | ) |

References BOUNDING_VOLUME.

## Member Function Documentation

## getDepthRange()

virtual bool osgViewer::DepthPartitionSettings::getDepthRange | ( | osg::View & | view,
|  | unsigned int | partition,
|  | double & | zNear,
|  | double & | zFar )

virtual

## Member Data Documentation

## _mode

DepthMode osgViewer::DepthPartitionSettings::_mode

## _zFar

double osgViewer::DepthPartitionSettings::_zFar

## _zMid

double osgViewer::DepthPartitionSettings::_zMid

## _zNear

double osgViewer::DepthPartitionSettings::_zNear

The documentation for this struct was generated from the following file:

- osgViewer/View